com.ibm.openpages.api.trigger.oob

## Class DetectPropertyChangeTrigger

- java.lang.Object
- - com.ibm.openpages.api.trigger.AbstractRule
  - - com.ibm.openpages.api.trigger.ext.DefaultRule
    - - com.ibm.openpages.api.trigger.oob.DetectPropertyChangeTrigger

- Deprecated.
  This class is deprecated, use class `DetectPropertyChangeRule` instead.

      @Deprecated
      public class DetectPropertyChangeTrigger
      extends DefaultRule

  This rule detects when a specified list of Fields of a GRC Object have changed their value during a Create or Update event

  Trigger Attributes:
  contentTypeName - Resource Type Name. E.g.
  fields - comma separated list of bundle:field. E.g.
  check.for - Values can be "All" or "Any". E.g.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CHECK_ALL` Deprecated.
    `static java.lang.String` | `CHECK_ANY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetectPropertyChangeTrigger()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isApplicable(AssociateResourceEvent event)` Deprecated. Default isApplicable() method for AssociateResourceEvent type.
    `boolean` | `isApplicable(CopyResourceEvent event)` Deprecated. Default isApplicable() method for CopyResourceEvent type.
    `boolean` | `isApplicable(CreateResourceEvent event)` Deprecated. Default isApplicable() method for CreateResourceEvent type.
    `boolean` | `isApplicable(DeleteResourceEvent event)` Deprecated. Default isApplicable() method for DeleteResourceEvent type.
    `boolean` | `isApplicable(DisassociateResourceEvent event)` Deprecated. Default isApplicable() method for DisassociateResourceEvent type.
    `boolean` | `isApplicable(QueryEvent event)` Deprecated. Default isApplicable() method for QueryEvent type.
    `boolean` | `isApplicable(SearchEvent event)` Deprecated. Default isApplicable() method for SearchEvent type.
    `boolean` | `isApplicable(UpdateResourceEvent event)` Deprecated. Default isApplicable() method for UpdateResourceEvent type.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.ext.DefaultRule

      `isApplicable, isApplicable, isApplicable, isApplicable, isApplicable`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.AbstractRule

      `getAttributes, setAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHECK_ALL

          public static final java.lang.String CHECK_ALL

      Deprecated.
      See Also:
        Constant Field Values

    - #### CHECK_ANY

          public static final java.lang.String CHECK_ANY

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DetectPropertyChangeTrigger

          public DetectPropertyChangeTrigger()

      Deprecated.

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(CreateResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for CreateResourceEvent type. It always return false. Override this methods if CreateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a create resource event to be handled

    - #### isApplicable

          public boolean isApplicable(UpdateResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for UpdateResourceEvent type. It always return false. Override this methods if UpdateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - an update resource event to be handled

    - #### isApplicable

          public boolean isApplicable(AssociateResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for AssociateResourceEvent type. It always return false. Override this methods if AssociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - an associate resource event to be handled

    - #### isApplicable

          public boolean isApplicable(DisassociateResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for DisassociateResourceEvent type. It always return false. Override this methods if DisassociateResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a disassociate resource event to be handled

    - #### isApplicable

          public boolean isApplicable(CopyResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for CopyResourceEvent type. It always return false. Override this methods if CopyResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a copy resource event to be handled

    - #### isApplicable

          public boolean isApplicable(DeleteResourceEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for DeleteResourceEvent type. It always return false. Override this methods if DeleteResourceEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a delete resource event to be handled

    - #### isApplicable

          public boolean isApplicable(QueryEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for QueryEvent type. It always return false. Override this methods if QueryEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a query event to be handled

    - #### isApplicable

          public boolean isApplicable(SearchEvent event)

      Deprecated.
      Description copied from class: `DefaultRule`
      Default isApplicable() method for SearchEvent type. It always return false. Override this methods if SearchEvent type is associated with the trigger rule.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a search event to be handled

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.